<?php
	
	require_once 'processes/config.php';
	
	// IF USER IS ALREADY LOGGED IN, REDIRECT TO home.php
	// ELSE PROMPT USER TO LOG IN
	if(!empty($_SESSION)) {
		header('Location: home.php');
		exit();
	}
	
	include_once 'header.php';
	
?>
	<!-- START OF index.php -->
	<body>
		<header id="main-header">
        	<a id="logo" href=".">
				TANIA
            	<img src="img/pen_800x800.png" alt="tania logo pen" width="25" height="25">
        	</a>
	        <div id="account">
    	        <button class="google-button" onclick="window.location='<?php echo $loginURL; ?>'">
    	            <img class="google-button__icon" src="img/google.svg" alt="Google">
    	            <span class="google-button__text">Sign in with Google</span>
    	        </button>
    	    </div>
    	</header>
	
  	  	<section id="showcase">
   	     	<div id="showcase-text">
    	        <div id="showcase-heading">
                	Momentary Assesment Research Made Simple
   	         	</div>
    	        <div id="showcase-link">
     	           <a onclick="window.location='<?php echo $loginURL; ?>'">Get Started</a>
     	       </div>
    	    </div>
   	 	</section>	
   	 	
		<main id="home-main">
        	<div id="main-sidebar">
            	<h3>About</h3>
        	    <ul>
            	    <li><a href="#what-we-do" class="active">What We Do</a></li>
                	<li><a href="#team">Team</a></li>
	                <li><a href="#contact">Contact</a></li>
    	        </ul>
    	    </div>

    	    <div class="main-content">
    	    
        	    <div id="what-we-do" class="main-content-box show">
	                <h3>The problem</h3>
    	            <p>Most research on REUs rely on retrospective recollection of experiences often limited by memory and conditioned to recall bias, where information is selectively withheld or revealed.</p>
        	        <h3>Our proposal</h3>
                	<p>To improve the evaluation strategies of REUs, we propose using Momentary Assessments Research Learning Environments (MARLE), a method used in clinical psychology to repeatedly sample momentary behaviors in real time within the natural environment of an experience or intervention.</p>
                	<br>
                	<hr class="login-hr">
                	<br>
            	</div>

            	<div id="team" class="main-content-box">
                	<h3>We are a team of professors and students</h3>
                	<div id="team-images">
                	    <img src="img/juan.png" alt="Juan">
						<!-- <img src="img/ivonne.png" alt="Ivonne"> -->
                	    <img src="img/CDCC.png" alt="CDCC" style="background-color: #eee; padding: 5px;">
                	    <!-- <img src="./img/victor.jpg" alt="Víctor" style="height: 100px; width: 100px; border-radius: 50%;"> -->
                		<!-- <img src="./img/hector.jpg" alt="Héctor" style="height: 100px; width: 100px; border-radius: 50%;"> -->
                    	<!-- <img src="./img/tatiana.jpg" alt="Tatiana" style="height: 100px; width: 100px; border-radius: 50%;"> -->
                    	<!-- <img src="./img/coralys.jpg" alt="Coralys" style="height: 100px; width: 100px; border-radius: 50%;"> -->
                    	<!-- <img src="./img/carlos.jpg" alt="Carlos" style="height: 100px; width: 100px; border-radius: 50%;"> -->
                	</div>
					<!-- Dr. Ivonne Vele (Department of Education) -->
                	<p>This is the result of a collaboration between Dr. Juan Ramírez (Department of Biology), and the CDCC at the University of Puerto Rico, Río Piedras Campus.</p>
                	<br>
                	<hr class="login-hr">
                	<br>
            	</div>

            	<div id="contact" class="main-content-box">
            	    <h3>Contact Us</h3>
            	    <p>Care to use TANIA? Or just curious about the project? Whichever may be the case, don't hesitate to contact Dr. Juan Ramírez!</p>
            	    <br>
            	    <div id="contact-info">
            	    <p>17 Ave. Universidad STE 1701 San Juan, PR 00925-2537</p>
            	    <p>787.764.0000 Ext. 88341, 88349 Fax:787.773.1717</p>
            	    <p>juan.ramirez3@upr.edu</p>
            	    </div>
            	    <br>
            	    <hr class="login-hr hidden-xs">
            	    <br>
            	</div>
            	
            	<br><br><br>
            	
        	</div>
    	</main>
    	
    	<script src="js/index.js"></script>
    	
		<!-- END OF index.php -->
		
<?php include_once 'footer.php'; ?>